expand menu

Strattic FAQ

Security

Do I need to upgrade my WP version or plugins on Strattic?


Nope! Because your site is more secure on Strattic, you don’t need to rush to upgrade your WordPress version or plugins. However, we do recommend upgrading as best practice for maintaining a healthy site.